feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Imperative.Plugin.Naming

# Documentation

data SignatureInformation

Constructors

SignatureInformation |

Fields

originalFunctionName :: String
generatedImperativeParameterNames :: [String]
originalParameterNames :: Maybe [Maybe String]

Instances

Eq SignatureInformation |
Show SignatureInformation |
Default SignatureInformation |

precompilationError :: ErrorClass -> String -> a

data Precompilation

Constructors

Precompilation |

Instances

Transformation Precompilation |
Plugin Precompilation |
Transformable Precompilation Variable |
Transformable Precompilation ActualParameter |
Transformable Precompilation Program |
Transformable Precompilation Entity |

proceduresToPrefix :: [String]

prefix :: SignatureInformation -> String -> String

getVariableName :: SignatureInformation -> String -> Maybe String

maybeStr2Str :: Maybe String -> String

data PrecompilationExternalInfo

Constructors

PrecompilationExternalInfo |

Fields

originalFunctionSignature :: OriginalFunctionSignature
inputParametersDescriptor :: [Int]
numberOfFunctionArguments :: Int
compilationMode :: CompilationMode

addPostfixNumberToMaybeString :: (Maybe String, Int) -> Maybe String

inflate :: Int -> [Maybe String] -> [Maybe String]

parameterNameListConsolidator :: PrecompilationExternalInfo -> [Maybe String]